package org.example.domain

import org.example.domain.Requests.AuthorizeRequest
import org.example.domain.Requests.RegistrationRequest
import org.example.domain.Response.UserResponse
import org.example.domain.Requests.ChangePasswordRequest

interface UserUseCase {
    fun authorize(authorizeRequest: AuthorizeRequest): UserResponse
    fun registration(registrationRequest: RegistrationRequest): UserResponse
    fun changePassword(changePasswordRequest: ChangePasswordRequest)
    fun changeProfile()
}